edu.isi.ikcap.workflows.util.logging

## Interface LoggingKeys

All Known Implementing Classes:
  LogEvent

    public interface LoggingKeys

Defines keys for creating logs within the workflow system

Author:
  pgroth

### Field Summary

Fields
`static java.lang.String` `CATALOG_URL`
`static java.lang.String` `CONFIGURED_TEMPLATES_Q`
`static java.lang.String` `DAG_ID`
`static java.lang.String` `DATA_CHARACTERIZATION_PROGRAM`
`static java.lang.String` `DAX_ID`
`static java.lang.String` `DOMAIN`
`static java.lang.String` `EVENT_DC_ADD_DATASOURCE_LOCATION`
`static java.lang.String` `EVENT_DC_AUGMENT_DATASOURCE`
`static java.lang.String` `EVENT_DC_CHARACTERIZE`
`static java.lang.String` `EVENT_DC_CHARACTERIZE_STATUS`
`static java.lang.String` `EVENT_DC_CHARACTERIZE_STATUSES`
`static java.lang.String` `EVENT_DC_DATASOURCE_EXISTS`
`static java.lang.String` `EVENT_DC_DISSEMINATE_DATASOURCE`
`static java.lang.String` `EVENT_DC_GET_ALL_DATASOURCES`
`static java.lang.String` `EVENT_DC_GET_ALL_METRICS`
`static java.lang.String` `EVENT_DC_GET_AUGMENTED_TYPES`
`static java.lang.String` `EVENT_DC_GET_DATASOURCE`
`static java.lang.String` `EVENT_DC_GET_DATASOURCE_DESCRIPTION_FOR_UUID`
`static java.lang.String` `EVENT_DC_GET_DATASOURCE_LOCATIONS`
`static java.lang.String` `EVENT_DC_GET_DATASOURCE_UUID_FOR_DESCRIPTION`
`static java.lang.String` `EVENT_DC_GET_DATASOURCES`
`static java.lang.String` `EVENT_DC_GET_DMO_METRICS`
`static java.lang.String` `EVENT_DC_GET_INGEST_STATUS`
`static java.lang.String` `EVENT_DC_GET_INGEST_TIME`
`static java.lang.String` `EVENT_DC_GET_SATURATED_TYPES`
`static java.lang.String` `EVENT_DC_GET_UNCHARACTERIZED_DATASOURCES`
`static java.lang.String` `EVENT_DC_INGEST_DATASOURCE`
`static java.lang.String` `EVENT_DC_REGISTER_DATASOURCE`
`static java.lang.String` `EVENT_DC_REMOVE_DATASOURCE`
`static java.lang.String` `EVENT_DC_REMOVE_DATASOURCE_LOCATION`
`static java.lang.String` `EVENT_DC_RICH_CHARACTERIZE`
`static java.lang.String` `EVENT_DC_SATURATE_DATASOURCE`
`static java.lang.String` `EVENT_DC_SET_DATASOURCE_DESCRIPTION_FOR_UUID`
`static java.lang.String` `EVENT_DC_UPDATE_INGEST_MAP`
`static java.lang.String` `EVENT_ID_KEY`
`static java.lang.String` `EVENT_INFER_TEMPLATE`
`static java.lang.String` `EVENT_PEGASUS_ADDCLEANUP`
`static java.lang.String` `EVENT_PEGASUS_ADDDATASTAGING`
`static java.lang.String` `EVENT_PEGASUS_ADDREGISTRATION`
`static java.lang.String` `EVENT_PEGASUS_CLUSTER`
`static java.lang.String` `EVENT_PEGASUS_GENERATECLEANUP`
`static java.lang.String` `EVENT_PEGASUS_PLAN`
`static java.lang.String` `EVENT_PEGASUS_REDUCE`
`static java.lang.String` `EVENT_PEGASUS_SITESELECTION`
`static java.lang.String` `EVENT_QUERY_DATACATALOG`
`static java.lang.String` `EVENT_QUERY_PROCESSCATALOG`
`static java.lang.String` `EVENT_RANKING`
`static java.lang.String` `EVENT_WG`
`static java.lang.String` `EVENT_WG_BACKWARD_SWEEP`
`static java.lang.String` `EVENT_WG_CONFIGURE`
`static java.lang.String` `EVENT_WG_DATA_SELECTION`
`static java.lang.String` `EVENT_WG_FETCH_METRICS`
`static java.lang.String` `EVENT_WG_FORWARD_SWEEP`
`static java.lang.String` `EVENT_WG_GET_CANDIDATE_SEEDS`
`static java.lang.String` `EVENT_WG_GET_DAX`
`static java.lang.String` `EVENT_WG_INITIALIZE_DC`
`static java.lang.String` `EVENT_WG_INITIALIZE_PC`
`static java.lang.String` `EVENT_WG_LOAD_SEED`
`static java.lang.String` `EVENT_WG_SPECIALIZE`
`static java.lang.String` `FILE_OUTPUT_CONTENTS`
`static java.lang.String` `FILE_OUTPUT_NAME`
`static java.lang.String` `FILE_PRIORTY`
`static java.lang.String` `FILE_TYPE`
`static java.lang.String` `JOB_ARGUMENTS`
`static java.lang.String` `JOB_ENVIRONMENTVARIABLE`
`static java.lang.String` `JOB_EXITCODE`
`static java.lang.String` `JOB_ID`
`static java.lang.String` `JOB_INPUTS`
`static java.lang.String` `JOB_NUMBER`
`static java.lang.String` `JOB_OUTPUTS`
`static java.lang.String` `JOB_RESOURCE_INFORMATION`
`static java.lang.String` `MSG`
`static java.lang.String` `MSG_ID`
`static java.lang.String` `NO_MATCH`
`static java.lang.String` `ONTOLOGY_LOCATION`
`static java.lang.String` `PERFMETRIC_CPU_UTILIZATION`
`static java.lang.String` `PERFMETRIC_MEMORY_UTILIZATION`
`static java.lang.String` `PERFMETRIC_NETWORK_BANDWIDTH`
`static java.lang.String` `PERFMETRIC_TIME_DURATION`
`static java.lang.String` `PORTFOLIO_ID`
`static java.lang.String` `PROG`
`static java.lang.String` `PROG_SETUP`
`static java.lang.String` `QUERY_ARGUMENTS`
`static java.lang.String` `QUERY_ID`
`static java.lang.String` `QUERY_INPUT`
`static java.lang.String` `QUERY_NAME`
`static java.lang.String` `QUERY_NUMBER`
`static java.lang.String` `QUERY_OUTPUT`
`static java.lang.String` `QUERY_RESPONSE`
`static java.lang.String` `QUEUED_TEMPLATES`
`static java.lang.String` `REQUEST_ID`
`static java.lang.String` `SEED`
`static java.lang.String` `SEED_ID`
`static java.lang.String` `SEED_NAME`
`static java.lang.String` `SPECIALIZED_TEMPLATES_Q`
`static java.lang.String` `SYSTEM_ARCHITECTURE`
`static java.lang.String` `SYSTEM_HOSTADDR`
`static java.lang.String` `SYSTEM_HOSTNAME`
`static java.lang.String` `SYSTEM_NODENAME`
`static java.lang.String` `SYSTEM_NUMBEROFPROCESSORS`
`static java.lang.String` `SYSTEM_OS`
`static java.lang.String` `TEMPLATE`
`static java.lang.String` `TEMPLATE_ID`
`static java.lang.String` `TIME_END`
`static java.lang.String` `TIME_START`

### Field Detail

#### MSG_ID

    static final java.lang.String MSG_ID

See Also:
  Constant Field Values

#### EVENT_ID_KEY

    static final java.lang.String EVENT_ID_KEY

See Also:
  Constant Field Values

#### PORTFOLIO_ID

    static final java.lang.String PORTFOLIO_ID

See Also:
  Constant Field Values

#### REQUEST_ID

    static final java.lang.String REQUEST_ID

See Also:
  Constant Field Values

#### DAX_ID

    static final java.lang.String DAX_ID

See Also:
  Constant Field Values

#### DAG_ID

    static final java.lang.String DAG_ID

See Also:
  Constant Field Values

#### JOB_NUMBER

    static final java.lang.String JOB_NUMBER

See Also:
  Constant Field Values

#### JOB_ID

    static final java.lang.String JOB_ID

See Also:
  Constant Field Values

#### JOB_INPUTS

    static final java.lang.String JOB_INPUTS

See Also:
  Constant Field Values

#### JOB_OUTPUTS

    static final java.lang.String JOB_OUTPUTS

See Also:
  Constant Field Values

#### SEED_ID

    static final java.lang.String SEED_ID

See Also:
  Constant Field Values

#### TEMPLATE_ID

    static final java.lang.String TEMPLATE_ID

See Also:
  Constant Field Values

#### SEED_NAME

    static final java.lang.String SEED_NAME

See Also:
  Constant Field Values

#### ONTOLOGY_LOCATION

    static final java.lang.String ONTOLOGY_LOCATION

See Also:
  Constant Field Values

#### EVENT_QUERY_PROCESSCATALOG

    static final java.lang.String EVENT_QUERY_PROCESSCATALOG

See Also:
  Constant Field Values

#### EVENT_QUERY_DATACATALOG

    static final java.lang.String EVENT_QUERY_DATACATALOG

See Also:
  Constant Field Values

#### EVENT_WG

    static final java.lang.String EVENT_WG

See Also:
  Constant Field Values

#### EVENT_WG_LOAD_SEED

    static final java.lang.String EVENT_WG_LOAD_SEED

See Also:
  Constant Field Values

#### EVENT_WG_INITIALIZE_PC

    static final java.lang.String EVENT_WG_INITIALIZE_PC

See Also:
  Constant Field Values

#### EVENT_WG_INITIALIZE_DC

    static final java.lang.String EVENT_WG_INITIALIZE_DC

See Also:
  Constant Field Values

#### EVENT_WG_GET_CANDIDATE_SEEDS

    static final java.lang.String EVENT_WG_GET_CANDIDATE_SEEDS

See Also:
  Constant Field Values

#### EVENT_WG_BACKWARD_SWEEP

    static final java.lang.String EVENT_WG_BACKWARD_SWEEP

See Also:
  Constant Field Values

#### EVENT_WG_SPECIALIZE

    static final java.lang.String EVENT_WG_SPECIALIZE

See Also:
  Constant Field Values

#### EVENT_WG_DATA_SELECTION

    static final java.lang.String EVENT_WG_DATA_SELECTION

See Also:
  Constant Field Values

#### EVENT_WG_FETCH_METRICS

    static final java.lang.String EVENT_WG_FETCH_METRICS

See Also:
  Constant Field Values

#### EVENT_WG_FORWARD_SWEEP

    static final java.lang.String EVENT_WG_FORWARD_SWEEP

See Also:
  Constant Field Values

#### EVENT_WG_CONFIGURE

    static final java.lang.String EVENT_WG_CONFIGURE

See Also:
  Constant Field Values

#### EVENT_WG_GET_DAX

    static final java.lang.String EVENT_WG_GET_DAX

See Also:
  Constant Field Values

#### EVENT_INFER_TEMPLATE

    static final java.lang.String EVENT_INFER_TEMPLATE

See Also:
  Constant Field Values

#### DOMAIN

    static final java.lang.String DOMAIN

See Also:
  Constant Field Values

#### SEED

    static final java.lang.String SEED

See Also:
  Constant Field Values

#### TEMPLATE

    static final java.lang.String TEMPLATE

See Also:
  Constant Field Values

#### NO_MATCH

    static final java.lang.String NO_MATCH

See Also:
  Constant Field Values

#### QUEUED_TEMPLATES

    static final java.lang.String QUEUED_TEMPLATES

See Also:
  Constant Field Values

#### SPECIALIZED_TEMPLATES_Q

    static final java.lang.String SPECIALIZED_TEMPLATES_Q

See Also:
  Constant Field Values

#### CONFIGURED_TEMPLATES_Q

    static final java.lang.String CONFIGURED_TEMPLATES_Q

See Also:
  Constant Field Values

#### EVENT_RANKING

    static final java.lang.String EVENT_RANKING

See Also:
  Constant Field Values

#### EVENT_PEGASUS_PLAN

    static final java.lang.String EVENT_PEGASUS_PLAN

See Also:
  Constant Field Values

#### EVENT_PEGASUS_REDUCE

    static final java.lang.String EVENT_PEGASUS_REDUCE

See Also:
  Constant Field Values

#### EVENT_PEGASUS_SITESELECTION

    static final java.lang.String EVENT_PEGASUS_SITESELECTION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_ADDDATASTAGING

    static final java.lang.String EVENT_PEGASUS_ADDDATASTAGING

See Also:
  Constant Field Values

#### EVENT_PEGASUS_ADDREGISTRATION

    static final java.lang.String EVENT_PEGASUS_ADDREGISTRATION

See Also:
  Constant Field Values

#### EVENT_PEGASUS_ADDCLEANUP

    static final java.lang.String EVENT_PEGASUS_ADDCLEANUP

See Also:
  Constant Field Values

#### EVENT_PEGASUS_CLUSTER

    static final java.lang.String EVENT_PEGASUS_CLUSTER

See Also:
  Constant Field Values

#### EVENT_PEGASUS_GENERATECLEANUP

    static final java.lang.String EVENT_PEGASUS_GENERATECLEANUP

See Also:
  Constant Field Values

#### DATA_CHARACTERIZATION_PROGRAM

    static final java.lang.String DATA_CHARACTERIZATION_PROGRAM

See Also:
  Constant Field Values

#### EVENT_DC_CHARACTERIZE

    static final java.lang.String EVENT_DC_CHARACTERIZE

See Also:
  Constant Field Values

#### EVENT_DC_CHARACTERIZE_STATUS

    static final java.lang.String EVENT_DC_CHARACTERIZE_STATUS

See Also:
  Constant Field Values

#### EVENT_DC_CHARACTERIZE_STATUSES

    static final java.lang.String EVENT_DC_CHARACTERIZE_STATUSES

See Also:
  Constant Field Values

#### EVENT_DC_RICH_CHARACTERIZE

    static final java.lang.String EVENT_DC_RICH_CHARACTERIZE

See Also:
  Constant Field Values

#### EVENT_DC_GET_DATASOURCES

    static final java.lang.String EVENT_DC_GET_DATASOURCES

See Also:
  Constant Field Values

#### EVENT_DC_GET_ALL_METRICS

    static final java.lang.String EVENT_DC_GET_ALL_METRICS

See Also:
  Constant Field Values

#### EVENT_DC_GET_DMO_METRICS

    static final java.lang.String EVENT_DC_GET_DMO_METRICS

See Also:
  Constant Field Values

#### EVENT_DC_DISSEMINATE_DATASOURCE

    static final java.lang.String EVENT_DC_DISSEMINATE_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_INGEST_DATASOURCE

    static final java.lang.String EVENT_DC_INGEST_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_GET_INGEST_STATUS

    static final java.lang.String EVENT_DC_GET_INGEST_STATUS

See Also:
  Constant Field Values

#### EVENT_DC_UPDATE_INGEST_MAP

    static final java.lang.String EVENT_DC_UPDATE_INGEST_MAP

See Also:
  Constant Field Values

#### EVENT_DC_GET_INGEST_TIME

    static final java.lang.String EVENT_DC_GET_INGEST_TIME

See Also:
  Constant Field Values

#### EVENT_DC_REGISTER_DATASOURCE

    static final java.lang.String EVENT_DC_REGISTER_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_GET_ALL_DATASOURCES

    static final java.lang.String EVENT_DC_GET_ALL_DATASOURCES

See Also:
  Constant Field Values

#### EVENT_DC_GET_UNCHARACTERIZED_DATASOURCES

    static final java.lang.String EVENT_DC_GET_UNCHARACTERIZED_DATASOURCES

See Also:
  Constant Field Values

#### EVENT_DC_GET_DATASOURCE

    static final java.lang.String EVENT_DC_GET_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_REMOVE_DATASOURCE

    static final java.lang.String EVENT_DC_REMOVE_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_DATASOURCE_EXISTS

    static final java.lang.String EVENT_DC_DATASOURCE_EXISTS

See Also:
  Constant Field Values

#### EVENT_DC_GET_DATASOURCE_UUID_FOR_DESCRIPTION

    static final java.lang.String EVENT_DC_GET_DATASOURCE_UUID_FOR_DESCRIPTION

See Also:
  Constant Field Values

#### EVENT_DC_GET_DATASOURCE_DESCRIPTION_FOR_UUID

    static final java.lang.String EVENT_DC_GET_DATASOURCE_DESCRIPTION_FOR_UUID

See Also:
  Constant Field Values

#### EVENT_DC_SET_DATASOURCE_DESCRIPTION_FOR_UUID

    static final java.lang.String EVENT_DC_SET_DATASOURCE_DESCRIPTION_FOR_UUID

See Also:
  Constant Field Values

#### EVENT_DC_AUGMENT_DATASOURCE

    static final java.lang.String EVENT_DC_AUGMENT_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_GET_AUGMENTED_TYPES

    static final java.lang.String EVENT_DC_GET_AUGMENTED_TYPES

See Also:
  Constant Field Values

#### EVENT_DC_SATURATE_DATASOURCE

    static final java.lang.String EVENT_DC_SATURATE_DATASOURCE

See Also:
  Constant Field Values

#### EVENT_DC_GET_SATURATED_TYPES

    static final java.lang.String EVENT_DC_GET_SATURATED_TYPES

See Also:
  Constant Field Values

#### EVENT_DC_GET_DATASOURCE_LOCATIONS

    static final java.lang.String EVENT_DC_GET_DATASOURCE_LOCATIONS

See Also:
  Constant Field Values

#### EVENT_DC_ADD_DATASOURCE_LOCATION

    static final java.lang.String EVENT_DC_ADD_DATASOURCE_LOCATION

See Also:
  Constant Field Values

#### EVENT_DC_REMOVE_DATASOURCE_LOCATION

    static final java.lang.String EVENT_DC_REMOVE_DATASOURCE_LOCATION

See Also:
  Constant Field Values

#### MSG

    static final java.lang.String MSG

See Also:
  Constant Field Values

#### PROG

    static final java.lang.String PROG

See Also:
  Constant Field Values

#### PROG_SETUP

    static final java.lang.String PROG_SETUP

See Also:
  Constant Field Values

#### CATALOG_URL

    static final java.lang.String CATALOG_URL

See Also:
  Constant Field Values

#### QUERY_NUMBER

    static final java.lang.String QUERY_NUMBER

See Also:
  Constant Field Values

#### QUERY_NAME

    static final java.lang.String QUERY_NAME

See Also:
  Constant Field Values

#### QUERY_INPUT

    static final java.lang.String QUERY_INPUT

See Also:
  Constant Field Values

#### QUERY_OUTPUT

    static final java.lang.String QUERY_OUTPUT

See Also:
  Constant Field Values

#### QUERY_ID

    static final java.lang.String QUERY_ID

See Also:
  Constant Field Values

#### QUERY_ARGUMENTS

    static final java.lang.String QUERY_ARGUMENTS

See Also:
  Constant Field Values

#### QUERY_RESPONSE

    static final java.lang.String QUERY_RESPONSE

See Also:
  Constant Field Values

#### FILE_OUTPUT_NAME

    static final java.lang.String FILE_OUTPUT_NAME

See Also:
  Constant Field Values

#### FILE_OUTPUT_CONTENTS

    static final java.lang.String FILE_OUTPUT_CONTENTS

See Also:
  Constant Field Values

#### FILE_PRIORTY

    static final java.lang.String FILE_PRIORTY

See Also:
  Constant Field Values

#### FILE_TYPE

    static final java.lang.String FILE_TYPE

See Also:
  Constant Field Values

#### TIME_START

    static final java.lang.String TIME_START

See Also:
  Constant Field Values

#### TIME_END

    static final java.lang.String TIME_END

See Also:
  Constant Field Values

#### SYSTEM_HOSTNAME

    static final java.lang.String SYSTEM_HOSTNAME

See Also:
  Constant Field Values

#### SYSTEM_HOSTADDR

    static final java.lang.String SYSTEM_HOSTADDR

See Also:
  Constant Field Values

#### SYSTEM_OS

    static final java.lang.String SYSTEM_OS

See Also:
  Constant Field Values

#### SYSTEM_ARCHITECTURE

    static final java.lang.String SYSTEM_ARCHITECTURE

See Also:
  Constant Field Values

#### SYSTEM_NODENAME

    static final java.lang.String SYSTEM_NODENAME

See Also:
  Constant Field Values

#### SYSTEM_NUMBEROFPROCESSORS

    static final java.lang.String SYSTEM_NUMBEROFPROCESSORS

See Also:
  Constant Field Values

#### JOB_EXITCODE

    static final java.lang.String JOB_EXITCODE

See Also:
  Constant Field Values

#### JOB_ARGUMENTS

    static final java.lang.String JOB_ARGUMENTS

See Also:
  Constant Field Values

#### JOB_ENVIRONMENTVARIABLE

    static final java.lang.String JOB_ENVIRONMENTVARIABLE

See Also:
  Constant Field Values

#### JOB_RESOURCE_INFORMATION

    static final java.lang.String JOB_RESOURCE_INFORMATION

See Also:
  Constant Field Values

#### PERFMETRIC_CPU_UTILIZATION

    static final java.lang.String PERFMETRIC_CPU_UTILIZATION

See Also:
  Constant Field Values

#### PERFMETRIC_MEMORY_UTILIZATION

    static final java.lang.String PERFMETRIC_MEMORY_UTILIZATION

See Also:
  Constant Field Values

#### PERFMETRIC_NETWORK_BANDWIDTH

    static final java.lang.String PERFMETRIC_NETWORK_BANDWIDTH

See Also:
  Constant Field Values

#### PERFMETRIC_TIME_DURATION

    static final java.lang.String PERFMETRIC_TIME_DURATION

See Also:
  Constant Field Values